List Partner Settlements
Lists all settlements for your OES partner account with filtering options. Results can be filtered by various parameters and are paginated.
Error scenarios:
-
400: Invalid Request Error
-
Occurs when the request parameters are invalid or malformed.
-
Examples: Invalid UUID format, invalid pagination parameters.
-
401: Authentication Error
-
Occurs when the request is not authorized.
-
Examples: Caller is not a member of the enterprise.
-
403: Permission Denied Error
-
Occurs when the authenticated partner doesn't have necessary permissions.
-
Examples: Enterprise does not have OES license.
-
500: Internal Server Error
-
Occurs when there's an unexpected server error processing the request.
-
Examples: Database connection issues, query errors.
Requires access token scope: settlement_network_read
Path Params
-
enterpriseIdstring requiredThe enterprise identifier of the partner. This identifies the partner enterprise making the API request.
Query Params
-
pageNumberstring integerThe page number (integer) you wish to fetch. When provided, the API will skip pageSize * pageNumber records. Page numbers are zero-based, so the first page is 0. If not provided, defaults to 0. -
pageSizestringThe page size (integer) you wish to fetch. When provided, the API will return at most pageSize records per page. If not provided, a default page size defined by the server will be used. -
settlementIdsarray of stringsFilter by specific settlement IDs. When provided, only settlements matching these IDs will be returned. -
onlyShowDisputedbooleanFilter to show only disputed settlements. When set to true, only settlements that have disputes will be returned. Setting to false will have no effect. -
partnerIdsarray of stringsFilter by specific partner IDs. When provided, only settlements involving these partners will be returned. -
partyConnectionIdsarray of stringsFilter by specific party connection IDs. When provided, only settlements involving these connections as parties will be returned. -
counterpartyConnectionIdsarray of stringsFilter by specific counterparty connection IDs. When provided, only settlements involving these connections as counterparties will be returned. -
externalIdsarray of stringsFilter by specific external IDs. When provided, only settlements with these external IDs will be returned. -
createdOnOrAfterstring date-timeFilter for settlements created on or after this date. Format: ISO 8601 date string. -
createdBeforestring date-timeFilter for settlements created before this date. Format: ISO 8601 date string. -
updatedOnOrAfterstring date-timeFilter for settlements updated on or after this date. Format: ISO 8601 date string. -
updatedBeforestring date-timeFilter for settlements updated before this date. Format: ISO 8601 date string.
Responses
200
OK
Response Body
object
-
settlementsarray of objects requiredONE OF
-
idstring requiredThe unique identifier of the settlement. This is a UUID that uniquely identifies the settlement record. -
partnerIdstring requiredThe unique identifier of the partner the settlement is associated with. This is a UUID that uniquely identifies the partner. -
externalIdstring requiredExternal identifier provided by the partner when creating the settlement. -
statusstring enum requiredpending -
settlementTypestring enum requiredThe type of settlement. Possible values are:
- onchain: The settlement is on-chain.
- offchain: The settlement is off-chain.
onchainoffchain -
reconciledboolean requiredWhether or not the settlement is reconciled against trade data. Currently there are no reconciled settlements. This field is always false. -
initiatedBystring requiredId of the user which initiated the settlement. -
notesstringThe notes associated with the settlement. This is a free-form text field that can contain any additional information about the settlement. -
createdAtstring date-time requiredThe date and time when the settlement was created. This is a timestamp in ISO 8601 format. -
updatedAtstring date-time requiredThe date and time when the settlement was last updated. This is a timestamp in ISO 8601 format. -
rtIdstringRouted transaction id associated with the settlement. This is a UUID that uniquely identifies the routed transaction. This field is only populated for on-chain settlements for partners with automation enabled. -
lossSLAAlertSentboolean requiredWhether or not an alert has been sent if loss settlement SLA is close to being breached. Only relevant for on-chain settlements. -
gainSLAAlertSentboolean requiredWhether or not an alert has been sent if gain settlement SLA is close to being breached. Only relevant for on-chain settlements. -
cutoffAtstring date-timeThe date and time of the newest trade being settled in the partner system. This is a timestamp in ISO 8601 format. This field is only populated for dispute enabled partners. -
disputedbooleanWhether or not a dispute was raised on this settlement.
-
idstring requiredThe unique identifier of the settlement. This is a UUID that uniquely identifies the settlement record. -
partnerIdstring requiredThe unique identifier of the partner the settlement is associated with. This is a UUID that uniquely identifies the partner. -
externalIdstring requiredExternal identifier provided by the partner when creating the settlement. -
reasonstring required -
statusstring enum requiredfailed -
settlementTypestring enum requiredThe type of settlement. Possible values are:
- onchain: The settlement is on-chain.
- offchain: The settlement is off-chain.
onchainoffchain -
reconciledboolean requiredWhether or not the settlement is reconciled against trade data. Currently there are no reconciled settlements. This field is always false. -
initiatedBystring requiredId of the user which initiated the settlement. -
notesstringThe notes associated with the settlement. This is a free-form text field that can contain any additional information about the settlement. -
createdAtstring date-time requiredThe date and time when the settlement was created. This is a timestamp in ISO 8601 format. -
updatedAtstring date-time requiredThe date and time when the settlement was last updated. This is a timestamp in ISO 8601 format. -
rtIdstringRouted transaction id associated with the settlement. This is a UUID that uniquely identifies the routed transaction. This field is only populated for on-chain settlements for partners with automation enabled. -
lossSLAAlertSentboolean requiredWhether or not an alert has been sent if loss settlement SLA is close to being breached. Only relevant for on-chain settlements. -
gainSLAAlertSentboolean requiredWhether or not an alert has been sent if gain settlement SLA is close to being breached. Only relevant for on-chain settlements. -
cutoffAtstring date-timeThe date and time of the newest trade being settled in the partner system. This is a timestamp in ISO 8601 format. This field is only populated for dispute enabled partners. -
disputedbooleanWhether or not a dispute was raised on this settlement.
-
idstring requiredThe unique identifier of the settlement. This is a UUID that uniquely identifies the settlement record. -
partnerIdstring requiredThe unique identifier of the partner the settlement is associated with. This is a UUID that uniquely identifies the partner. -
externalIdstring requiredExternal identifier provided by the partner when creating the settlement. -
statusstring enum requiredcompleted -
settlementTypestring enum requiredThe type of settlement. Possible values are:
- onchain: The settlement is on-chain.
- offchain: The settlement is off-chain.
onchainoffchain -
reconciledboolean requiredWhether or not the settlement is reconciled against trade data. Currently there are no reconciled settlements. This field is always false. -
initiatedBystring requiredId of the user which initiated the settlement. -
notesstringThe notes associated with the settlement. This is a free-form text field that can contain any additional information about the settlement. -
createdAtstring date-time requiredThe date and time when the settlement was created. This is a timestamp in ISO 8601 format. -
updatedAtstring date-time requiredThe date and time when the settlement was last updated. This is a timestamp in ISO 8601 format. -
finalizedAtstring date-time required -
rtIdstringRouted transaction id associated with the settlement. This is a UUID that uniquely identifies the routed transaction. This field is only populated for on-chain settlements for partners with automation enabled. -
lossSLAAlertSentboolean requiredWhether or not an alert has been sent if loss settlement SLA is close to being breached. Only relevant for on-chain settlements. -
gainSLAAlertSentboolean requiredWhether or not an alert has been sent if gain settlement SLA is close to being breached. Only relevant for on-chain settlements. -
cutoffAtstring date-timeThe date and time of the newest trade being settled in the partner system. This is a timestamp in ISO 8601 format. This field is only populated for dispute enabled partners. -
disputedbooleanWhether or not a dispute was raised on this settlement.
-
idstring requiredThe unique identifier of the settlement. This is a UUID that uniquely identifies the settlement record. -
partnerIdstring requiredThe unique identifier of the partner the settlement is associated with. This is a UUID that uniquely identifies the partner. -
externalIdstring requiredExternal identifier provided by the partner when creating the settlement. -
reasonstring required -
statusstring enum requiredrejected -
settlementTypestring enum requiredThe type of settlement. Possible values are:
- onchain: The settlement is on-chain.
- offchain: The settlement is off-chain.
onchainoffchain -
reconciledboolean requiredWhether or not the settlement is reconciled against trade data. Currently there are no reconciled settlements. This field is always false. -
initiatedBystring requiredId of the user which initiated the settlement. -
notesstringThe notes associated with the settlement. This is a free-form text field that can contain any additional information about the settlement. -
createdAtstring date-time requiredThe date and time when the settlement was created. This is a timestamp in ISO 8601 format. -
updatedAtstring date-time requiredThe date and time when the settlement was last updated. This is a timestamp in ISO 8601 format. -
finalizedAtstring date-time required -
rtIdstringRouted transaction id associated with the settlement. This is a UUID that uniquely identifies the routed transaction. This field is only populated for on-chain settlements for partners with automation enabled. -
lossSLAAlertSentboolean requiredWhether or not an alert has been sent if loss settlement SLA is close to being breached. Only relevant for on-chain settlements. -
gainSLAAlertSentboolean requiredWhether or not an alert has been sent if gain settlement SLA is close to being breached. Only relevant for on-chain settlements. -
cutoffAtstring date-timeThe date and time of the newest trade being settled in the partner system. This is a timestamp in ISO 8601 format. This field is only populated for dispute enabled partners. -
disputedbooleanWhether or not a dispute was raised on this settlement.
-
401
Unauthorized
Response Body
object
-
errorstring required
403
Forbidden
Response Body
object
-
errorstring required
500
Internal Server Error
Response Body
object
-
errorstring required